GNU bug report logs - #22844
24.4; ido confused by leading ~ in dir names

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: trentbuck@HIDDEN (Trent W. Buck); merged with #45257; dated Sun, 28 Feb 2016 23:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 22844 45257. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22844 <at> debbugs.gnu.org:


Received: (at 22844) by debbugs.gnu.org; 15 Dec 2020 08:02:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 15 03:02:33 2020
Received: from localhost ([127.0.0.1]:55411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kp5I1-0003ub-HE
	for submit <at> debbugs.gnu.org; Tue, 15 Dec 2020 03:02:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:53036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kp5Hz-0003oy-LW
 for 22844 <at> debbugs.gnu.org; Tue, 15 Dec 2020 03:02:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=om61jQknL8sauZkJsyv3iGsnYSNEb4oGz0YcxZlrl7w=; b=ojTApPQp6+8tyWvXtoaddkXoSZ
 XnNEbiS52enVBS+FIDW536MmmoqdTfRQkNY2BcPZC1FlF3hkfkHtFKS/6Ph0WSYxehAtsQXARq4s3
 vzyfqGHJuUU2BrvAXs5CCebobl0QXiMoIBr2YJHuaakzvLB1HXwYRetJdYAcpxgZcUfE=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kp5Hq-0007Fn-GT; Tue, 15 Dec 2020 09:02:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: trentbuck@HIDDEN (Trent W. Buck)
Subject: Re: bug#22844: 24.4; ido confused by leading ~ in dir names
References: <87si0c75k5.fsf@HIDDEN>
X-Now-Playing: AR Kane's _Lollita_: "track"
Date: Tue, 15 Dec 2020 09:02:21 +0100
In-Reply-To: <87si0c75k5.fsf@HIDDEN> (Trent W. Buck's message of "Mon, 29
 Feb 2016 10:56:10 +1100")
Message-ID: <875z53zecy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: trentbuck@HIDDEN (Trent W. Buck) writes: > Because I use
 wget -x, I have directories like this: >
 ~/Desktop/www.cl.cam.ac.uk/~rja14/Papers/SEv2-c01.pdf
 > > If I open dired in ~/Desktop, I can browse to that just fine. > > If
 I use C-x C-f (i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22844
Cc: 22844 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

trentbuck@HIDDEN (Trent W. Buck) writes:

> Because I use wget -x, I have directories like this:
> ~/Desktop/www.cl.cam.ac.uk/~rja14/Papers/SEv2-c01.pdf
>
> If I open dired in ~/Desktop, I can browse to that just fine.
>
> If I use C-x C-f (ido-find-file) from ~/Desktop/www.cl.cam.ac.uk/,
> I can press ^M and got into ~rja14 just fine:
>
>    Find file: ~/Desktop/www.cl.cam.ac.uk/{~rja14/ | ~sjm217/}
> ^M  Find file: ~/Desktop/www.cl.cam.ac.uk/~rja14/{Papers/ | book/ | book.html}
>
> But if I try to navigate via C-x C-f from somewhere else (like ~/Desktop), ido goes haywire:
>
>    Find file: ~/Desktop/{www.cl.cam.ac.uk/ | ...
> ^M  Find file: ~/Desktop/www.cl.cam.ac.uk/{~rja14/ | ~sjm217/}
> ^M  Find file: ~/Desktop/~rja14/ [No match]

(This bug report unfortunately got no response at the time.)

I can confirm that this bug is still present in Emacs 28, but I have not
tried to debug it.  It looks like ido is treating ~foo as a home
directory?  Normal Emacs completion does the same, I guess, but only if
~foo exists...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22844; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Feb 2016 23:56:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 28 18:56:31 2016
Received: from localhost ([127.0.0.1]:51082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aaBCR-0002Uk-GE
	for submit <at> debbugs.gnu.org; Sun, 28 Feb 2016 18:56:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44893)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <trentbuck@HIDDEN>) id 1aaBCP-0002UV-RB
 for submit <at> debbugs.gnu.org; Sun, 28 Feb 2016 18:56:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <trentbuck@HIDDEN>) id 1aaBCJ-0005hr-4N
 for submit <at> debbugs.gnu.org; Sun, 28 Feb 2016 18:56:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53037)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <trentbuck@HIDDEN>) id 1aaBCJ-0005hn-0r
 for submit <at> debbugs.gnu.org; Sun, 28 Feb 2016 18:56:23 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35859)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <trentbuck@HIDDEN>) id 1aaBCH-0000VI-EK
 for bug-gnu-emacs@HIDDEN; Sun, 28 Feb 2016 18:56:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <trentbuck@HIDDEN>) id 1aaBCE-0005hO-4Q
 for bug-gnu-emacs@HIDDEN; Sun, 28 Feb 2016 18:56:21 -0500
Received: from mail-pf0-x22e.google.com ([2607:f8b0:400e:c00::22e]:33246)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <trentbuck@HIDDEN>) id 1aaBCD-0005hK-PW
 for bug-gnu-emacs@HIDDEN; Sun, 28 Feb 2016 18:56:18 -0500
Received: by mail-pf0-x22e.google.com with SMTP id 124so19897440pfg.0
 for <bug-gnu-emacs@HIDDEN>; Sun, 28 Feb 2016 15:56:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version;
 bh=/Zn5/BIxKPLnj3aRmtDbwJivHH8cKfISgn4yoHedDZg=;
 b=EMV8RdcGfk1SgQbg3J1rrYlUHcqPCddCo4JG8AEihJ/ecdsrzWP2LLFvHkOM8PqqH3
 3ZGyL1bJujiIH5KW+cDXdiXUbc3aQGZWE13lUWE+9W5GSPblwAwoe1sSA2aj2M+pY9GE
 /q6lZPzchl0/ITZDWrhAn/6AYg3Wy8xOL8fZukX5lDqpqZkoU/UBt5Eey1kKCQOvakGK
 dV7JxGSpI5h2PJfX50Y+2kfAutW2lcNKauDQtgN47MD18nLiot8Ig+hZ1vt/aO1V6T0q
 TunGpcs2RbelLsM1Zv48k301wIRuTemV9hbFL3Xn1hyBwU4FZTetyw1frYUzmc470o4t
 al4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=/Zn5/BIxKPLnj3aRmtDbwJivHH8cKfISgn4yoHedDZg=;
 b=kQcA+iCaDUgokeAS3TjHnIJuRMkkzk4TQ4PruJ3IOadp0x3uaI/lVaTYXaYJXBv8eP
 1UMCxtfbvNwBCyLLgscw7URsVqaBgqy47gGZ00y4jF/MlTTdIntml+7jNo3kevw8z2ON
 Lu4lfEgHdIwFKO2X8u49sZxNTjwkHXxMiSp6KIm7PdkhOGP/yvlehMGOwqshVu7OVA/c
 2X1W0SwCQCfTvz4mXCaMDSrOChSGBRG3XHgyK0ezUwoQtyanmPYTPHwkigp2hmBA0sM1
 uLreDXXbIkRS6G2jO4RzORgyV3msMtXe8/g8f7t/4Id9xl+QmWw6RaZJNnDhLTD6ivRy
 aEHw==
X-Gm-Message-State: AD7BkJIA9pe453u9fhUgeKLwvmNhiagqhv2VgiwxqcPHUil7Io/qV3wOUarCUntwaQPJNA==
X-Received: by 10.98.10.149 with SMTP id 21mr18364467pfk.75.1456703776576;
 Sun, 28 Feb 2016 15:56:16 -0800 (PST)
Received: from localhost ([203.7.155.119])
 by smtp.gmail.com with ESMTPSA id z67sm33287459pfa.71.2016.02.28.15.56.14
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 28 Feb 2016 15:56:15 -0800 (PST)
From: trentbuck@HIDDEN (Trent W. Buck)
To: bug-gnu-emacs@HIDDEN
Subject: 24.4; ido confused by leading ~ in dir names
Date: Mon, 29 Feb 2016 10:56:10 +1100
Message-ID: <87si0c75k5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Because I use wget -x, I have directories like this: 
 
    ~/Desktop/www.cl.cam.ac.uk/~rja14/Papers/SEv2-c01.pdf

If I open dired in ~/Desktop, I can browse to that just fine.

If I use C-x C-f (ido-find-file) from ~/Desktop/www.cl.cam.ac.uk/,
I can press ^M and got into ~rja14 just fine:

    Find file: ~/Desktop/www.cl.cam.ac.uk/{~rja14/ | ~sjm217/}
^M  Find file: ~/Desktop/www.cl.cam.ac.uk/~rja14/{Papers/ | book/ | book.html}

But if I try to navigate via C-x C-f from somewhere else (like ~/Desktop), ido goes haywire:

    Find file: ~/Desktop/{www.cl.cam.ac.uk/ | ...
^M  Find file: ~/Desktop/www.cl.cam.ac.uk/{~rja14/ | ~sjm217/}
^M  Find file: ~/Desktop/~rja14/ [No match]


If this is easy to fix, please fix it.

If it involves a bunch of tradeoffs, don't worry about it- it doesn't
affect me often & dired is a "good enough" workaround.
(This issue has been present for years,
I only just got annoyed enough to report it.)


The ido settings in my .emacs are:

    (setq ido-default-buffer-method 'selected-window
          ido-default-file-method 'selected-window
          ido-enable-prefix t
          ido-enable-flex-matching t
          ido-save-directory-list-file "~/.emacs.d/ido.last"
          ido-use-filename-at-point 'guess
          ido-use-url-at-point t)
    (ido-mode +1)
    (ido-everywhere +1)
    (eval-after-load "ido"
      '(eval-after-load "dired"
         '(put 'ido-subdir 'face-alias 'dired-directory)))





In GNU Emacs 24.4.1 (x86_64-pc-linux-gnu)
 of 2014-10-26 on trouble, modified by Debian
System Description:	Debian GNU/Linux 8.0 (jessie)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --with-x=no --without-gconf --without-gsettings 'CFLAGS=-g -O2
 -fstack-protector-strong -Wformat -Werror=format-security -Wall'
 CPPFLAGS=-D_FORTIFY_SOURCE=2 LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_AU.utf8
  locale-coding-system: utf-8-unix

Major mode: rcirc

Minor modes in effect:
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  global-hl-todo-mode: t
  ido-everywhere: t
  savehist-mode: t
  icomplete-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
, i DEL SPC i f SPC O DEL I SPC g o t SPC b a c k SPC 
u p SPC a SPC d i r , SPC t h e n SPC t DEL I SPC g 
e t SPC t h i s : RET C-c C-c C-x C-f C-g F i n d SPC 
f i l e : SPC ~ / D e s k t o p / { w w w . c l . c 
a m . a c . u k / SPC | SPC . . . RET C-x C-f RET C-g 
F i n d SPC f i l e : SPC ~ / D e s k t o p / w w w 
. c l . c a m . a c . u k / { ~ r j a 1 4 / SPC | SPC 
~ s j m 2 1 7 / } RET C-x C-f w w RET RET C-g F i n 
d SPC f i l e : SPC ~ / D e s k t o p / ~ r j a 1 4 
/ SPC [ N o SPC m a t c h ] ESC O B ESC O A C-x h ESC 
1 ESC | p a s t e b i n i t RET C-c C-c RET a i TAB 
[REDACTED] C-x 1 ESC 
x r e p o r t b u C-g ESC x r e p o r t b u g RET C-g 
ESC x r e p o r t SPC e m a c s SPC b u g RET

Recent messages:
C-x C-g is undefined
Quit
Mark set
Quit
ESC C-M-g is undefined
Quit [5 times]
Type C-c C-c to return text to #emacs@HIDDEN, or C-c C-k to cancel
Quit [3 times]
End of buffer
Mark set [2 times]
Quit [2 times]

Load-path shadows:
/usr/share/emacs/24.4/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.4/lisp/textmodes/rst
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/24.4/lisp/textmodes/ispell
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/24.4/lisp/textmodes/flyspell

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
tabify conf-mode tramp-cache tramp-sh tramp tramp-compat tramp-loaddefs
trampver format-spec shell pcomplete dired-aux vc-git sh-script smie
executable misearch multi-isearch windmove mule-util w3m-form w3m-symbol
w3m-filter w3m-bookmark w3m-session ffap thingatpt url-parse url-vars
w3m browse-url doc-view dired image-mode easymenu timezone w3m-hist
w3m-fb bookmark-w3m w3m-ems wid-edit w3m-ccl ccl w3m-favicon image
w3m-image w3m-proc w3m-util xterm pp gnutls network-stream auth-source
eieio byte-opt bytecomp byte-compile cconv eieio-core gnus-util
password-cache starttls tls rcirc server advice sendmail rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mail-utils jka-compr edmacro
kmacro cl-loaddefs cl-lib disp-table hl-todo ido savehist icomplete
time-date paren delsel saveplace debian-el debian-el-loaddefs w3m-load
pylint compile comint regexp-opt ansi-color ring tool-bar 50magit
emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
dpkg-dev-el dpkg-dev-el-loaddefs tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type tabulated-list newcomment lisp-mode prog-mode
register page menu-bar rfn-eshadow timer select mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify multi-tty emacs)

Memory information:
((conses 16 210123 11386)
 (symbols 48 26803 0)
 (miscs 40 249 327)
 (strings 32 58074 7088)
 (string-bytes 1 1535299)
 (vectors 16 18608)
 (vector-slots 8 510015 2989)
 (floats 8 239 545)
 (intervals 56 7982 0)
 (buffers 960 37)
 (heap 1024 52556 1053))




Acknowledgement sent to trentbuck@HIDDEN (Trent W. Buck):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22844; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 16 Dec 2020 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.